aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndroid Build Coastguard Worker <android-build-coastguard-worker@google.com>2024-05-02 01:15:00 +0000
committerAndroid Build Coastguard Worker <android-build-coastguard-worker@google.com>2024-05-02 01:15:00 +0000
commit96b70f660b9ac0f9ce2ac0753ed24bfdd6e5d915 (patch)
treefa2cc70b88fbaa0203f9d0ca8bbcb6a8a5e84ebc
parent65bb7cb7bd2398c39f7148b5087966cbe5cb7cab (diff)
parent5b66401bd12e70550d145a834a4a225d4237ea96 (diff)
downloadtoybox-96b70f660b9ac0f9ce2ac0753ed24bfdd6e5d915.tar.gz
Snap for 11790536 from 5b66401bd12e70550d145a834a4a225d4237ea96 to sdk-release
Change-Id: Ief42628be3a994367ce9543f19e275cec6266732
-rwxr-xr-xpost_update.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/post_update.sh b/post_update.sh
index c07d65ae..2b42dba9 100755
--- a/post_update.sh
+++ b/post_update.sh
@@ -1,8 +1,13 @@
#!/bin/bash
+# external-updater provides:
# $1 Path to the new version.
# $2 Path to the old version.
+if [ "$#" -lt 1 ]; then
+ echo 'need at least the path to the current version!'
+ exit 1
+fi
cd $1
set -e